Bug 91494 - g++ gives segmentation fault
Summary: g++ gives segmentation fault
Status: CLOSED RAWHIDE
Alias: None
Product: Red Hat Linux
Classification: Retired
Component: gcc3   
(Show other bugs)
Version: 8.0
Hardware: i686
OS: Linux
high
high
Target Milestone: ---
Assignee: Jakub Jelinek
QA Contact:
URL:
Whiteboard:
Keywords:
Depends On:
Blocks:
TreeView+ depends on / blocked
 
Reported: 2003-05-23 09:17 UTC by George M K
Modified: 2005-10-31 22:00 UTC (History)
0 users

Fixed In Version: gcc-3.3-7
Doc Type: Bug Fix
Doc Text:
Story Points: ---
Clone Of:
Environment:
Last Closed: 2003-06-17 21:38:10 UTC
Type: ---
Regression: ---
Mount Type: ---
Documentation: ---
CRM:
Verified Versions:
Category: ---
oVirt Team: ---
RHEL 7.3 requirements from Atomic Host:
Cloudforms Team: ---


Attachments (Terms of Use)

Description George M K 2003-05-23 09:17:21 UTC
Description of problem:
internal error: Segmentation fault

Version-Release number of selected component (if applicable):

Reading specs from /usr/lib/gcc-lib/i386-redhat-linux/3.2/specs
Configured with: ../configure --prefix=/usr --mandir=/usr/share/man
--infodir=/usr/share/info --enable-shared --enable-threads=posix
--disable-checking --host=i386-redhat-linux --with-system-zlib --enable-__cxa_atexit
Thread model: posix
gcc version 3.2 20020903 (Red Hat Linux 8.0 3.2-7)


How reproducible:
Always

Steps to Reproduce:
1. Create the following erroneus .cpp file
---------#include <iostream>
#define TEST    ('c'=='a')

enum TEST {tes1=0,test2};

int main()
{
}

2.Compile with g++

    
Actual results:
Segmentation fault

Expected results:
Should give parse error 


Additional info:
gcc does not give such an error. It reports parse error as expected


Note You need to log in before you can comment on or make changes to this bug.